跳转到主要内容
官方文档:https://ai.google.dev/gemini-api/docs/video?hl=zh-cn&example=dialogue

Endpoint

POST /v1/videos
分组: openai视频格式 / veo

Headers

  • Authorization: 必填 示例: sk-
  • Content-Type: 必填 示例: application/json

Responses

  • 200: 成功

OpenAPI specification

openapi: 3.0.1
info:
  title: ''
  description: ''
  version: 1.0.0
paths:
  /v1/videos:
    post:
      summary: 提交视频任务
      deprecated: false
      description: >-
        官方文档:https://ai.google.dev/gemini-api/docs/video?hl=zh-cn&example=dialogue
      tags:
        - openai视频格式/veo
      parameters:
        - name: Authorization
          in: header
          description: ''
          required: true
          example: sk-
          schema:
            type: string
        - name: Content-Type
          in: header
          description: ''
          required: true
          example: application/json
          schema:
            type: string
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                prompt:
                  description: 提示词
                  example: ''
                  type: string
                model:
                  description: 模型名称veo3.1、veo3.1-pro
                  example: ''
                  type: string
                seconds:
                  type: string
                  description: 视频时长4、6、8
                  example: ''
                size:
                  type: string
                  description: 视频宽高比16:9、9:16
                  example: ''
                input_reference:
                  format: binary
                  type: string
                  description: 参考图片
                  example: ''
              required:
                - prompt
                - model
            examples: {}
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  object:
                    type: string
                  model:
                    type: string
                  status:
                    type: string
                  created_at:
                    type: integer
                  seconds:
                    type: string
                required:
                  - id
                  - object
                  - model
                  - status
                  - created_at
                  - seconds
                x-apifox-orders:
                  - id
                  - object
                  - model
                  - status
                  - created_at
                  - seconds
              example:
                id: 83319f9e-9828-4a17-bf3e-365edbcf226b
                object: video
                model: veo3.1
                status: queued
                created_at: 1764849835
                seconds: '6'
          headers: {}
          x-apifox-name: 成功
      security: []
      x-apifox-folder: openai视频格式/veo
      x-apifox-status: released
      x-run-in-apifox: https://app.apifox.com/web/project/5443699/apis/api-386221934-run
components:
  schemas: {}
  securitySchemes: {}
servers: []
security: []